package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumProfitSharingUse {
    YES(0, "使用"),
    NO(1, "不使用"),
    APPLY(2, "申请"),;

    public static EnumProfitSharingUse getEnum(Integer code) {
        for (EnumProfitSharingUse value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumProfitSharingUse(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
